Bug 1801343 - Host parsing from resolv.conf doesn't handle IPv6 with %zone info
Summary: Host parsing from resolv.conf doesn't handle IPv6 with %zone info
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: DNS
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.z
Assignee: Dan Mace
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On: 1801339
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-10 17:00 UTC by Brad P. Crochet
Modified: 2020-03-10 23:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1801339
Environment:
Last Closed: 2020-03-10 23:53:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift coredns pull 23 None closed Bug 1801343: Rebase to upstream 1.6.6 2020-06-17 16:05:02 UTC
Red Hat Product Errata RHBA-2020:0676 None None None 2020-03-10 23:54:00 UTC

Description Brad P. Crochet 2020-02-10 17:00:05 UTC
+++ This bug was initially created as a clone of Bug #1801339 +++

If an IPv6 address with %zone info appended is in resolv.conf the parsing does not work properly. It does not properly identify as an IPv6 address, and causes panic.

Comment 3 Hongan Li 2020-02-20 11:40:57 UTC
verified with 4.3.0-0.nightly-2020-02-20-033504 and coredns has been updated to 1.6.6

$ oc -n openshift-dns exec dns-default-262fc -c dns -- coredns -version
CoreDNS-1.6.6
linux/amd64, go1.12.12,

Comment 5 errata-xmlrpc 2020-03-10 23:53:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0676


Note You need to log in before you can comment on or make changes to this bug.